﻿using UnityEngine;
using System.Collections;

public class myOther : MonoBehaviour
{


	AudioClip[] audioArray;

	string[] notes;
	string[] instruments;

	string base_path = "Audio";
	string instrument = "Vocal/Male";

	string puzzle_note = "";
	string puzzle_instrument = "";

	string input_note = "";
	string input_instrument = "";

	AudioSource source;

	bool with_Player = false;

	static int puzzle_length = 3;

	// Use this for initialization
	void Start ()
	{

		//puzzle = new string();

		notes = new string[]{ "C", "D", "E", "F", "G", "A", "B" };
		instruments = new string[]{ "Vocal/Male", "Vocal/Female", "Drum", "Flute" };

		source = GetComponent<AudioSource> ();
		audioArray = new AudioClip[notes.Length];



		loadClips ();

	}
		
	// Update is called once per frame
	void Update ()
	{

		if (with_Player) {
			if (input_note.Length == puzzle_length) {
				if (input_note == puzzle_note && input_instrument == puzzle_instrument) {
					input_note = "";
					input_instrument = "";

				} else {
					Debug.Log ("No :-(");
					input_note = "";
					input_instrument = "";
				}
			} else if (input_note.Length > puzzle_length){
				Debug.Log ("Too many chars");
				input_note = "";
				input_instrument = "";
			}
		}
	}


	public void onNote(string _note){

		if (with_Player)
		{
			if (_note == "C") {
				source.Stop();
				source.PlayOneShot(audioArray[0]);
			}
			else if (_note == "D") {
				source.Stop();
				source.PlayOneShot(audioArray[1]);
			}
			else if (_note == "E") {
				source.Stop();
				source.PlayOneShot(audioArray[2]);
			}
			else if (_note == "F") {
				source.Stop();
				source.PlayOneShot(audioArray[3]);
			}
			else if (_note == "G") {
				source.Stop();
				source.PlayOneShot(audioArray[4]);
			}
			else if (_note == "A") {
				source.Stop();
				source.PlayOneShot(audioArray[5]);
			}
			else if (_note == "B") {
				source.Stop();
				source.PlayOneShot(audioArray[6]);
			}


			source.Play ();




			if (input_note.Length < puzzle_length) {
				input_note += _note;
				Debug.Log ("input : " + input_note);
			}
		}
		
	}

	public void toInstrument(string _instrument)
	{
		Debug.Log(_instrument);
		input_instrument = _instrument;
	}
		
	void loadClips ()
	{
		for (int i = 0; i < notes.Length; i++) {
			audioArray [i] = new AudioClip ();

			string name = base_path + "/" + instrument + "/" + notes [i];
			audioArray [i] = (AudioClip)Resources.Load (name);
		}

	}


	void OnCollisionEnter2D (Collision2D other)
	{
		puzzle_instrument = instruments[Random.Range (0, instruments.Length)];
		loadClips ();

		StartCoroutine (play ());
	}

	IEnumerator play ()
	{

		if (!with_Player) {

			with_Player = true;
			Debug.Log("With Player");

			puzzle_note = "";
			puzzle_instrument = "";
			for (int n = 0; n < puzzle_length; n++) {
				int indx = Random.Range (0, notes.Length);
				puzzle_note += notes [indx];
				source.PlayOneShot (audioArray [indx]);

				yield return new WaitForSeconds (1);
			}
		}

		yield break;
	}

	void OnCollisionExit2D (Collision2D other)
	{
		puzzle_note = "";
		puzzle_instrument = "";
		with_Player = false;

		Debug.Log ("Collision Exit");
	}

}
