﻿using UnityEngine;
using System.Collections;

//This script manages the player object
public class myPlayer : MonoBehaviour
{	
	int speed = 1;

	AudioClip[] audioArray;

	string[] notes;

	string base_path = "Audio";
	string instrument = "Vocal/Male";

	AudioSource source;
		



	// Use this for initialization
	void Start () {

		notes = new string[]{"C","D","E","F","G","A","B"};

		source = GetComponent<AudioSource>();
		audioArray = new AudioClip[notes.Length];

		loadClips();
	}



	public void toInstrument(string _instrument)
	{
		//Debug.Log(_instrument);
		instrument = _instrument;
		loadClips();
	}


	void loadClips(){
		for(int i = 0; i < notes.Length; i++){
			audioArray[i] = new AudioClip();

			string name = base_path + "/" + instrument + "/" + notes[i];
			audioArray[i] = (AudioClip)Resources.Load(name);
		}

	}


	void Update ()
	{
		//Get our raw inputs
		float x = Input.GetAxisRaw ("Horizontal");
		float y = Input.GetAxisRaw ("Vertical");

		source = GetComponent<AudioSource>();

		/*if (!Input.anyKey) source.Stop();
			
		if (Input.GetKeyDown (KeyCode.C)) {
			source.Stop();
			source.PlayOneShot(audioArray[0]);
		}
		else if (Input.GetKeyDown (KeyCode.D)) {
			source.Stop();
			source.PlayOneShot(audioArray[1]);
		}
		else if (Input.GetKeyDown (KeyCode.E)) {
			source.Stop();
			source.PlayOneShot(audioArray[2]);
		}
		else if (Input.GetKeyDown (KeyCode.F)) {
			source.Stop();
			source.PlayOneShot(audioArray[3]);
		}
		else if (Input.GetKeyDown (KeyCode.G)) {
			source.Stop();
			source.PlayOneShot(audioArray[4]);
		}
		else if (Input.GetKeyDown (KeyCode.A)) {
			source.Stop();
			source.PlayOneShot(audioArray[5]);
		}
		else if (Input.GetKeyDown (KeyCode.B)) {
			source.Stop();
			source.PlayOneShot(audioArray[6]);
		}


		source.Play ();*/


		//Normalize the inputs
		Vector2 direction = new Vector2 (x, y).normalized;
		//Move the player
		Move (direction);
	}


	public void onNote(string _note){
			if (_note == "C") {
				source.Stop();
				source.PlayOneShot(audioArray[0]);
			}
			else if (_note == "D") {
				source.Stop();
				source.PlayOneShot(audioArray[1]);
			}
			else if (_note == "E") {
				source.Stop();
				source.PlayOneShot(audioArray[2]);
			}
			else if (_note == "F") {
				source.Stop();
				source.PlayOneShot(audioArray[3]);
			}
			else if (_note == "G") {
				source.Stop();
				source.PlayOneShot(audioArray[4]);
			}
			else if (_note == "A") {
				source.Stop();
				source.PlayOneShot(audioArray[5]);
			}
			else if (_note == "B") {
				source.Stop();
				source.PlayOneShot(audioArray[6]);
			}


			source.Play ();
	}

	void Move (Vector2 direction)
	{
		//Find the screen limits to the player's movement
		//Vector2 min = Camera.main.ViewportToWorldPoint(new Vector2(0, 0));
		//Vector2 max = Camera.main.ViewportToWorldPoint(new Vector2(1, 1));
		//Get the player's current position
		Vector2 pos = transform.position;
	
		//Calculate the proposed position
		pos += direction  * speed * Time.deltaTime;

		//Update the player's position
		transform.position = pos;
	}
	void OnCollisionEnter2D(Collision2D other) {
		Debug.Log("Collision");

	}


}